Rocket.Chatを試しに導入してみる

流れ

  • 社内の連絡用にチャットを設置しよう
  • サーバーが確保できたからインストールするよ
  • う、動かない?

動かないのはなぜだろうか。Dockerがいけないのかもしれないし、別の環境で試してみよう。

テイク1

  • ホスト: Windows 10
  • ゲスト: CentOS 7.4
  • 仮想化: VirtualBox

Virtualbox上にDocker環境を構築して動かす。

権限の問題やらなんやらに激突。さらに本番環境も仮想マシンとはいえ、Vagrantで設定をいろいろしたものと同じとも言い難いので中断。

テイク2

テイク1と同じ環境でDockerなしで挑む。

Rocket.Chat Documentation - Deploying Rocket.Chat on Centos 7を参考にインストール。

最後の最後で起動に失敗。

古いバージョンのnodeが呼び出されているのが原因では、と教えてもらい、/usr/local/bin/node main.jsと絶対パスで指定して起動することにした。

今度は別のエラーメッセージが表示された。

Error: /lib64/libstdc++.so.6: version `GLIBCXX_3.4.20' not found (required by /opt/Rocket.Chat/programs/server/node_modules/fibers/bin/linux-x64-57/fibers.node)

だそうで。

strings /usr/lib64/libstdc++.so.6 | grep GLIBCXX

とやってバージョンを調べると、GLIBCXX_3.4.19で止まっている。

Install 0.60.0-rc0 on CentOS7 · Issue #9167 · RocketChat/Rocket.Chat · GitHubのコメントにある手順で更新して、無事に起動するようになった。

さて、どうしたものか

とりあえず動かせるのはわかったけど、本来はDockerで動かすつもりだった。今度はDockerで動かない理由を探すことになるけど、とりあえずは保留。

コメントを残す